
D4Science Infrastructure - Task #5353

Task # 5358 (Closed): Portlet resources

Database + endpoint needed

Oct 03, 2016 07:13 PM - Denis Pyriochos

Status: Closed Start date: Oct 03, 2016

Priority: Urgent Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version:    

Infrastructure: Pre-Production, Production   

Description

1. We need a postgress database. The database will not host large volume of data, a starting point of 10G should be sufficient.

Just numbers and text, no images or blobs.

2. We need a Database endpoint named SimulFishGrowth that points to this database.

3. We also need the credentials and privileges in order to handle tables and views and insert/update/delete data.

Related issues:

Related to D4Science Infrastructure - Task #5384: Endpoint access - SimulFish... Closed Oct 04, 2016

Related to D4Science Infrastructure - Task #5386: Endpoint access - SimulFish... Closed Oct 04, 2016

Related to D4Science Infrastructure - Task #5385: Endpoint access - SimulFish... Closed Oct 04, 2016

Related to D4Science Infrastructure - Incident #5687: SimulFishGrowthData can... Closed Nov 08, 2016

History

#1 - Oct 03, 2016 07:26 PM - Denis Pyriochos

- Parent task set to #5358

#2 - Oct 03, 2016 10:05 PM - Andrea Dell'Amico

We already have a dedicated postgresql with a database that has the same name: https://support.d4science.org/issues/3893

Is it a different instance? Has the name to be the same?

#3 - Oct 04, 2016 01:22 PM - Denis Pyriochos

The previous database is for development, this is for preproduction. We may need one more for production.

The database name is not important. You can name it as you please as we are querying the endpoint and get connection info from there.

The connection point should have the same name, SimulFishGrowth.

#4 - Oct 04, 2016 04:20 PM - Denis Pyriochos

- Related to Task #5384: Endpoint access - SimulFishGrowth added

#5 - Oct 04, 2016 04:21 PM - Denis Pyriochos

- Related to Task #5386: Endpoint access - SimulFishGrowth added

#6 - Oct 04, 2016 04:21 PM - Denis Pyriochos

- Related to Task #5385: Endpoint access - SimulFishGrowth added

#7 - Oct 04, 2016 04:37 PM - Massimiliano Assante

Denis, before proceeding I would like to ask if your query to the IS for the endpoint (SimulFishGrowth DB) uses the current VRE scope (as it should)
#8 - Oct 04, 2016 04:39 PM - Massimiliano Assante

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#9 - Oct 04, 2016 05:43 PM - Denis Pyriochos

As far as I know and based on your suggestions, we are setting the current scope and then query the IS for SimulFishGrowth.

I am a bit alarmed with your question, though. How else could we access the endpoint? Is there a pitfall you see?

#10 - Oct 05, 2016 12:59 PM - Massimiliano Assante

Denis Pyriochos wrote:

As far as I know and based on your suggestions, we are setting the current scope and then query the IS for SimulFishGrowth.

I am a bit alarmed with your question, though. How else could we access the endpoint? Is there a pitfall you see?

 I wanted make sure you were not hardcoding the scope, sorry.

#11 - Oct 05, 2016 01:02 PM - Denis Pyriochos

Better safe than sorry, eh? ;)

#12 - Oct 05, 2016 02:46 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 50

New empty DB created ( SimulFishGrowth_pre ) , is available at the server db-sfg-pre.d4science.org with the same login (user: sfguser) of the dev

database.

#13 - Oct 05, 2016 03:36 PM - Denis Pyriochos

Is there a way to give the password as I should run the setup scripts?

#14 - Oct 06, 2016 01:09 PM - Denis Pyriochos

Dear @tommaso.piccioli@isti.cnr.it could you please send me the password as I should run the init scripts for the database?

#15 - Oct 07, 2016 09:02 AM - Tommaso Piccioli

Denis, user and password are the same of the dev database, I'm sending the password to you via email.

#16 - Oct 07, 2016 02:17 PM - Denis Pyriochos

step 1 - ok :)

#17 - Oct 27, 2016 07:24 PM - Denis Pyriochos

- Infrastructure Production added

We need the same for Production as well.

#18 - Oct 27, 2016 08:04 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

I've just created the db named SimulFishGrowth_prod. You can access it with the same user and password of the other two databases.

#19 - Oct 27, 2016 09:10 PM - Denis Pyriochos

- Status changed from Feedback to In Progress

we also need an database endpoint named SimulFishGrowth, pointing to this database and accessible from the scopes:

/d4science.research-infrastructures.eu/gCubeApps/EllinikaPsariaVRE

/d4science.research-infrastructures.eu/gCubeApps/AlieiaVRE

/d4science.research-infrastructures.eu/gCubeApps/ForkysVRE
#20 - Oct 27, 2016 09:14 PM - Denis Pyriochos

Also, I get the error

10:11:43 PM: Error: FATAL:  no pg_hba.conf entry for host "193.92.78.53", user "sfguser", database "SimulFishG

rowth_prod", SSL on

FATAL:  no pg_hba.conf entry for host "193.92.78.53", user "sfguser", database "SimulFishGrowth_prod", SSL off

 I guess you should whitelist our ip address. Thx.

#21 - Oct 28, 2016 09:27 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

Denis Pyriochos wrote:

Also, I get the error

10:11:43 PM: Error: FATAL:  no pg_hba.conf entry for host "193.92.78.53", user "sfguser", database "SimulF

ishGrowth_prod", SSL on

FATAL:  no pg_hba.conf entry for host "193.92.78.53", user "sfguser", database "SimulFishGrowth_prod", SSL

 off

 I guess you should whitelist our ip address. Thx.

 Yes, I forgot to reload the service.

Do you have a fixed IP (or a list of them, or a network) from where you access the db? right now the ACLs are very permissive.

#22 - Oct 28, 2016 10:16 AM - Roberto Cirillo

The service endpoint is in place

#23 - Oct 28, 2016 10:25 AM - Denis Pyriochos

- Status changed from Feedback to Closed

@andrea.dellamico@isti.cnr.it this is the only static ip accessing the database.

#24 - Oct 28, 2016 10:51 AM - Andrea Dell'Amico

Denis Pyriochos wrote:

this is the only static ip accessing the database.

 Is this valid for the dev and preprod instances too?

#25 - Oct 28, 2016 03:38 PM - Denis Pyriochos

Yes. I just checked and it has access to all three databases: SimulFishGrowth, SimulFishGrowth_pre, SimulFishGrowth_prod

#26 - Oct 28, 2016 03:42 PM - Andrea Dell'Amico

I've also seen accesses coming from 88.197.53.20. I added both the IPs to the postgresql ACLs.

#27 - Oct 28, 2016 05:49 PM - Denis Pyriochos

This one should be the actual java service, managed by @k.kakaletris@cite.gr 

#28 - Oct 29, 2016 11:23 AM - Kostas Kakaletris

88.197.53.20 is the ip of the VM that is hosting the pre-production gcube service

88.197.53.37 is the ip of the VM that is hosting the production gcube servicc

#29 - Nov 09, 2016 11:16 AM - Andrea Dell'Amico

- Related to Incident #5687: SimulFishGrowthData cannot contact postgres user added

#30 - Nov 24, 2016 03:38 PM - Pasquale Pagano

- Target version deleted (gCube related support)
